#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>

//----------------------------------------------------------------------------//

CLIPPER MOVEWINDOW()
{
   HWND hWnd    = _parni( 1 );
   WORD wRow    = _parni( 2 );
   WORD wCol    = _parni( 3 );
   WORD wWidth  = _parni( 4 );
   WORD wHeight = _parni( 5 );
   RECT rct;

   if( ! _parni( 4 ) )
   {
      GetWindowRect( hWnd, &rct );
      wWidth  = rct.right - rct.left;
      wHeight = rct.bottom - rct.top;
   }

   _retl( MoveWindow( hWnd, wCol, wRow, wWidth, wHeight, _parl( 6 ) ) );
}

//----------------------------------------------------------------------------//
